=== debian/control ===
Source: ruby-tokyocabinet
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>,
           Laurent Arnoud <laurent@spkdev.net>,
           Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               libbz2-dev,
               libtokyocabinet-dev (>= 1.4.37),
               zlib1g-dev
Standards-Version: 3.9.7
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-tokyocabinet.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-tokyocabinet
Homepage: https://fallabs.com/tokyocabinet/
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-tokyocabinet
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby Binding of Tokyo Cabinet Database
 Tokyo Cabinet is an efficient database library like GDBM and NDBM.
 It features hash database and B+ tree database and is developed as the
 successor of QDBM, for the purpose of the following three points: higher
 processing speed, smaller size of a database file, and simpler API.
