=== debian/watch ===
version=4
https://gemwatch.debian.net/tokyocabinet .*/tokyocabinet-(.*).tar.gz
